package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.TeacherAuthEntryRecord;
import com.yonge.cooleshow.biz.dal.enums.GenderEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022/3/21 13:34
 */
@ApiModel(value = "TeacherAuthEntryRecordVo对象", description = "老师入驻审核详情")
public class TeacherAuthEntryRecordVo extends TeacherAuthEntryRecord {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "真实姓名")
    private String realName;

    @ApiModelProperty(value = "身份证号")
    private String idCardNo;

    @ApiModelProperty(value = "性别 0女 1男")
    private GenderEnum gender;

    @ApiModelProperty("手机号 ")
    private String phone;

    @ApiModelProperty(value = "专业技能")
    private String subjectName;

    @ApiModelProperty("审核人 ")
    private String verifyUser;

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("上一次的审核对象")
    private TeacherAuthEntryRecordVo lastDetil;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    public GenderEnum getGender() {
        return gender;
    }

    public void setGender(Object gender) {
        if(gender instanceof GenderEnum ){
            this.gender = (GenderEnum) gender;
        }else if (null != gender) {
            this.gender = GenderEnum.valueOf(Integer.parseInt(gender.toString()));
        }
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getVerifyUser() {
        return verifyUser;
    }

    public void setVerifyUser(String verifyUser) {
        this.verifyUser = verifyUser;
    }

    public TeacherAuthEntryRecordVo getLastDetil() {
        return lastDetil;
    }

    public void setLastDetil(TeacherAuthEntryRecordVo lastDetil) {
        this.lastDetil = lastDetil;
    }
}
